dracut/root_fs.patch
Robert Milasan 1c955cd93d Accepting request 201996 from home:mvyskocil
- Mark /etc/dracut.conf.d/02-early-microcode.conf as config file

Add following entry to .changes of trenn@suse.de
"""
- Build host only images for default paths in SUSE for faster build and
  smaller images. Imply --force in this case as well.
  * suse_host_only.patch
"""
It was not documented

- Tagged all patches per policy
- Add extension .patch to all patches per policy

OBS-URL: https://build.opensuse.org/request/show/201996
OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=59
2013-10-03 07:37:56 +00:00

32 lines
1.1 KiB
Diff

mkinitrd-dracut.sh: Also allow -d to specify the root_fs and -s dummy
-d is the SUSE mkinitrd version option to pass the rootfs.
-s is to enable splash which may not be needed, but some callers rely on it,
not to return an error.
Make this wrapper compatible to it.
Signed-off-by: Thomas Renninger <trenn@suse.de>
Index: dracut-033/mkinitrd-dracut.sh
===================================================================
--- dracut-033.orig/mkinitrd-dracut.sh
+++ dracut-033/mkinitrd-dracut.sh
@@ -124,7 +124,7 @@ while (($# > 0)); do
--preload) read_arg modname "$@" || shift $?
basicmodules="$basicmodules $modname";;
--image-version) img_vers=yes;;
- --rootfs) read_arg rootfs "$@" || shift $?
+ --rootfs|-d) read_arg rootfs "$@" || shift $?
dracut_args="${dracut_args} --filesystems $rootfs";;
--nocompress) dracut_args="$dracut_args --no-compress";;
--help) usage -n;;
@@ -151,6 +151,7 @@ while (($# > 0)); do
--looppath*) ;;
--dsdt*) ;;
--bootchart) ;;
+ -s) ;;
--quiet|-q) quiet=1;;
-b) read_arg boot_dir "$@" || shift $?
if [ ! -d $boot_dir ];then